<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{
    // use HasFactory;
    protected $fillable = [
        'first_name',
        'last_name',
        'email',
        'phone',
        'date_of_birth',
        'patient_id',
        'shipping_address1',
        'shipping_address2',
        'shipping_city',
        'shipping_state',
        'shipping_zipcode',
        'shipping_country',
        'billing_address1',
        'billing_address2',
        'billing_city',
        'billing_state',
        'billing_zipcode',
        'billing_country',
        'shipping_amount',
        'total_amount',
        "status",
        "lab_kit_id",
        "appointment_id",
        "note",
        'start_subscription',
        'end_subscription',
        'prescription_status',
        'short_description'
    ];
    public function patient()
    {
        return $this->belongsTo(Patient::class);
    }
    public function labKit()
    {
        return $this->belongsTo(LabKit::class);
    }
    public function labkitOrderItems()
    {
        return $this->hasMany(LabkitOrderItem::class);
    }
}
